package org.exoplatform.services.jcr.usecases.common;

import javax.jcr.Node;
import javax.jcr.PathNotFoundException;
import javax.jcr.Session;
import javax.jcr.SimpleCredentials;
import javax.jcr.Workspace;

import org.exoplatform.services.jcr.usecases.BaseUsecasesTest;

public class JCRSystemSessionTest extends BaseUsecasesTest{
	
	public void testActionsOnJcrSystem() throws Exception {
            String workspaceName = repository.getSystemWorkspaceName() ;
            //---------------use System sestion
            Session session2 = repository.getSystemSession(workspaceName) ;
            //----------- Use addmin session 
            Session session= repository.login(new SimpleCredentials("admin", "admin".toCharArray()), workspaceName);
            Node node1 = session.getRootNode().addNode("Node1");
            session.save() ;
            //refresh session2 (session2 is systemSession )
            //session2.refresh(true) ;
            assertNotNull(session.getRootNode().getNode("Node1")) ;
            assertNotNull(session2.getRootNode().getNode("Node1")) ;
	}	
}
