/***************************************************************************
 * Copyright 2001-2006 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.jcr.config;

import java.io.File;

import org.exoplatform.services.jcr.util.io.BLOBUtil;
import org.exoplatform.services.jcr.util.io.FSUtil;

/**
 * Created by The eXo Platform SARL
 * Author : Peter Nedonosko
 *          peter.nedonosko@exoplatform.com.ua
 * 02.11.2006
 * @author <a href="mailto:peter.nedonosko@exoplatform.com.ua">Peter Nedonosko</a>
 * @version $Id: DefaultBinarySwapEntry.java 10022 2006-11-02 10:43:47Z peterit $
 */
public class DefaultBinarySwapEntry extends BinarySwapEntry {

  public DefaultBinarySwapEntry() {
    setMinFileSize(String.valueOf(BLOBUtil.BLOB_BUFFER_SIZE)); 
    setCopyLocalFiles("false");
    setDirectoryPath(FSUtil.getTempDir() + File.separator + "exo_jcr_binary_swap");
  }
  
}
