/**
* Copyright 2001-2006 The eXo Platform SARL         All rights reserved.  *
* Please look at license.txt in info directory for more license detail.   *
*/

package org.exoplatform.services.webdav.props;

import org.w3c.dom.Document;
import org.w3c.dom.Element;
import javax.jcr.Node;

/**
 * Created by The eXo Platform SARL
 * Author : Vitaly Guly <gavrik-vetal@ukr.net/mail.ru>
 * @version $Id: $
 */

public interface WebDavProperty {
  
  void setStatus(int status);
  
  int getStatus();
  
  String getName();
  
  void setDefaultStringValue(String defaultStringValue);
  
  String getDefaultStringValue();
  
  boolean fillFromNode(Node node, String href);
  
  void toXml(Document rootDoc, Element parentElement);
  
}
