/**
* Copyright 2001-2006 The eXo Platform SARL         All rights reserved.  *
* Please look at license.txt in info directory for more license detail.   *
*/

package org.exoplatform.services.webdav.request;

import java.util.ArrayList;
import org.w3c.dom.Document;

/**
 * Created by The eXo Platform SARL
 * Author : Vitaly Guly <gavrik-vetal@ukr.net/mail.ru>
 * @version $Id: $
 */

public class CommonPropDoc implements RequestDoc {

  protected ArrayList<String> propNames = new ArrayList<String>();
  
  public CommonPropDoc() {
  }

  public boolean initFromDocument(Document requestDocument) {
    return false;
  }
  
  public boolean isPropertyExist(String propertyName) {
    if (propNames.contains(propertyName)) {
      return true;
    }
    return false;
  }
  
  public void addProperty(String propertyName) {
    propNames.add(propertyName);
  }
  
  public ArrayList<String> getProperties() {
    return propNames;
  }  
  
}
